class profile::mail (
  String            $mailhub,
  Optional[Integer] $mailhub_port = 25,
) {
  ensure_packages(["s-nail", "ssmtp"])

  $hostname = lookup("base_installation::real_hostname")

  file { "/etc/ssmtp/ssmtp.conf":
    ensure  => "present",
    content =>  template("profile/mail/ssmtp.conf.erb"),
  }
}

